com.amazonaws.services.machinelearning.model

## Class RealtimeEndpointInfo

- java.lang.Object
- - com.amazonaws.services.machinelearning.model.RealtimeEndpointInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class RealtimeEndpointInfo
    extends Object
    implements Serializable, Cloneable

Describes the real-time endpoint information for an `MLModel`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RealtimeEndpointInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RealtimeEndpointInfo` `clone()`
`boolean` `equals(Object obj)`
`Date` `getCreatedAt()` The time that the request to create the real-time endpoint for the `MLModel` was received.
`String` `getEndpointStatus()` The current status of the real-time endpoint for the `MLModel`.
`String` `getEndpointUrl()` The URI that specifies where to send real-time prediction requests for the `MLModel`.
`Integer` `getPeakRequestsPerSecond()` The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.
`int` `hashCode()`
`void` `setCreatedAt(Date createdAt)` The time that the request to create the real-time endpoint for the `MLModel` was received.
`void` `setEndpointStatus(RealtimeEndpointStatus endpointStatus)` The current status of the real-time endpoint for the `MLModel`.
`void` `setEndpointStatus(String endpointStatus)` The current status of the real-time endpoint for the `MLModel`.
`void` `setEndpointUrl(String endpointUrl)` The URI that specifies where to send real-time prediction requests for the `MLModel`.
`void` `setPeakRequestsPerSecond(Integer peakRequestsPerSecond)` The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RealtimeEndpointInfo` `withCreatedAt(Date createdAt)` The time that the request to create the real-time endpoint for the `MLModel` was received.
`RealtimeEndpointInfo` `withEndpointStatus(RealtimeEndpointStatus endpointStatus)` The current status of the real-time endpoint for the `MLModel`.
`RealtimeEndpointInfo` `withEndpointStatus(String endpointStatus)` The current status of the real-time endpoint for the `MLModel`.
`RealtimeEndpointInfo` `withEndpointUrl(String endpointUrl)` The URI that specifies where to send real-time prediction requests for the `MLModel`.
`RealtimeEndpointInfo` `withPeakRequestsPerSecond(Integer peakRequestsPerSecond)` The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RealtimeEndpointInfo

    public RealtimeEndpointInfo()

### Method Detail

#### setPeakRequestsPerSecond

    public void setPeakRequestsPerSecond(Integer peakRequestsPerSecond)

The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.

Parameters:
  `peakRequestsPerSecond` - The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.

#### getPeakRequestsPerSecond

    public Integer getPeakRequestsPerSecond()

The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.

Returns:
  The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.

#### withPeakRequestsPerSecond

    public RealtimeEndpointInfo withPeakRequestsPerSecond(Integer peakRequestsPerSecond)

The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.

Parameters:
  `peakRequestsPerSecond` - The maximum processing rate for the real-time endpoint for `MLModel`, measured in incoming requests per second.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedAt

    public void setCreatedAt(Date createdAt)

The time that the request to create the real-time endpoint for the `MLModel` was received. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the request to create the real-time endpoint for the `MLModel` was received. The time is expressed in epoch time.

#### getCreatedAt

    public Date getCreatedAt()

The time that the request to create the real-time endpoint for the `MLModel` was received. The time is expressed in epoch time.

Returns:
  The time that the request to create the real-time endpoint for the `MLModel` was received. The time is expressed in epoch time.

#### withCreatedAt

    public RealtimeEndpointInfo withCreatedAt(Date createdAt)

The time that the request to create the real-time endpoint for the `MLModel` was received. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the request to create the real-time endpoint for the `MLModel` was received. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEndpointUrl

    public void setEndpointUrl(String endpointUrl)

The URI that specifies where to send real-time prediction requests for the `MLModel`.

<note>Note

The application must wait until the real-time endpoint is ready before using this URI.

</note>

Parameters:
  `endpointUrl` - The URI that specifies where to send real-time prediction requests for the `MLModel`. <note>Note

  The application must wait until the real-time endpoint is ready before using this URI.

#### getEndpointUrl

    public String getEndpointUrl()

The URI that specifies where to send real-time prediction requests for the `MLModel`.

<note>Note

The application must wait until the real-time endpoint is ready before using this URI.

</note>

Returns:
  The URI that specifies where to send real-time prediction requests for the `MLModel`. <note>Note

  The application must wait until the real-time endpoint is ready before using this URI.

#### withEndpointUrl

    public RealtimeEndpointInfo withEndpointUrl(String endpointUrl)

The URI that specifies where to send real-time prediction requests for the `MLModel`.

<note>Note

The application must wait until the real-time endpoint is ready before using this URI.

</note>

Parameters:
  `endpointUrl` - The URI that specifies where to send real-time prediction requests for the `MLModel`. <note>Note

  The application must wait until the real-time endpoint is ready before using this URI.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEndpointStatus

    public void setEndpointStatus(String endpointStatus)

The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:

- `NONE` - Endpoint does not exist or was previously deleted.
- `READY` - Endpoint is ready to be used for real-time predictions.
- `UPDATING` - Updating/creating the endpoint.

Parameters:
  `endpointStatus` - The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:
  - `NONE` - Endpoint does not exist or was previously deleted.
  - `READY` - Endpoint is ready to be used for real-time predictions.
  - `UPDATING` - Updating/creating the endpoint.
See Also:
  `RealtimeEndpointStatus`

#### getEndpointStatus

    public String getEndpointStatus()

The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:

- `NONE` - Endpoint does not exist or was previously deleted.
- `READY` - Endpoint is ready to be used for real-time predictions.
- `UPDATING` - Updating/creating the endpoint.

Returns:
  The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:
  - `NONE` - Endpoint does not exist or was previously deleted.
  - `READY` - Endpoint is ready to be used for real-time predictions.
  - `UPDATING` - Updating/creating the endpoint.
See Also:
  `RealtimeEndpointStatus`

#### withEndpointStatus

    public RealtimeEndpointInfo withEndpointStatus(String endpointStatus)

The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:

- `NONE` - Endpoint does not exist or was previously deleted.
- `READY` - Endpoint is ready to be used for real-time predictions.
- `UPDATING` - Updating/creating the endpoint.

Parameters:
  `endpointStatus` - The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:
  - `NONE` - Endpoint does not exist or was previously deleted.
  - `READY` - Endpoint is ready to be used for real-time predictions.
  - `UPDATING` - Updating/creating the endpoint.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RealtimeEndpointStatus`

#### setEndpointStatus

    public void setEndpointStatus(RealtimeEndpointStatus endpointStatus)

The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:

- `NONE` - Endpoint does not exist or was previously deleted.
- `READY` - Endpoint is ready to be used for real-time predictions.
- `UPDATING` - Updating/creating the endpoint.

Parameters:
  `endpointStatus` - The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:
  - `NONE` - Endpoint does not exist or was previously deleted.
  - `READY` - Endpoint is ready to be used for real-time predictions.
  - `UPDATING` - Updating/creating the endpoint.
See Also:
  `RealtimeEndpointStatus`

#### withEndpointStatus

    public RealtimeEndpointInfo withEndpointStatus(RealtimeEndpointStatus endpointStatus)

The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:

- `NONE` - Endpoint does not exist or was previously deleted.
- `READY` - Endpoint is ready to be used for real-time predictions.
- `UPDATING` - Updating/creating the endpoint.

Parameters:
  `endpointStatus` - The current status of the real-time endpoint for the `MLModel`. This element can have one of the following values:
  - `NONE` - Endpoint does not exist or was previously deleted.
  - `READY` - Endpoint is ready to be used for real-time predictions.
  - `UPDATING` - Updating/creating the endpoint.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RealtimeEndpointStatus`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RealtimeEndpointInfo clone()

Overrides:
  `clone` in class `Object`